## org.eclipse.datatools.connectivity.oda.design
Interface PropertyAttributes

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface PropertyAttributes

extends org.eclipse.emf.ecore.EObject

The attributes of a property.

The following features are supported:

- `Display Name`
- `Element Attributes`
- `Derived Meta Data`

See Also:
  `DesignPackage.getPropertyAttributes()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getDisplayName()` Returns the value of the 'Display Name' attribute.
`java.lang.String` `getDisplayNameKey()` Returns the resource key of the 'Display Name' attribute.
`InputElementAttributes` `getElementAttributes()` Returns the value of the 'Element Attributes' containment reference.
`boolean` `isDerivedMetaData()` Returns the value of the 'Derived Meta Data' attribute.
`boolean` `isSetDerivedMetaData()` Returns whether the value of the '`Derived Meta Data`' attribute is set.
`void` `setDerivedMetaData(boolean value)` Sets the value of the '`Derived Meta Data`' attribute.
`void` `setDisplayName(java.lang.String value)` Sets the value of the '`Display Name`' attribute.
`void` `setDisplayNameKey(java.lang.String value)` Sets the resource key of the '`Display Name`' attribute.
`void` `setElementAttributes(InputElementAttributes value)` Sets the value of the '`Element Attributes`' containment reference.
`void` `unsetDerivedMetaData()` Unsets the value of the '`Derived Meta Data`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDisplayName

    java.lang.String getDisplayName()

  Returns the value of the 'Display Name' attribute. Text can be localized with a resource key.

  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `setDisplayName(String)`, `DesignPackage.getPropertyAttributes_DisplayName()`, `getDisplayNameKey()`

### setDisplayName

    void setDisplayName(java.lang.String value)

  Sets the value of the '`Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name' attribute.
  See Also:
    `getDisplayName()`, `setDisplayNameKey(String)`

### getDisplayNameKey

    java.lang.String getDisplayNameKey()

  Returns the resource key of the 'Display Name' attribute.

  Returns:
    the resource key of the 'Display Name' attribute; may be null if none is available
  Since:
    3.2.3
  See Also:
    `setDisplayNameKey(String)`, `getDisplayName()`, `DataSourceDesign.getResourceFile()`

### setDisplayNameKey

    void setDisplayNameKey(java.lang.String value)

  Sets the resource key of the '`Display Name`' attribute.

  Parameters:
    `value` - the new resource key of the 'Display Name' attribute; may be null to reset
  Since:
    3.2.3
  See Also:
    `getDisplayNameKey()`, `setDisplayName(String)`, `DataSourceDesign.getResourceFile()`

### getElementAttributes

    InputElementAttributes getElementAttributes()

  Returns the value of the 'Element Attributes' containment reference.

  Returns:
    the value of the 'Element Attributes' containment reference.
  See Also:
    `setElementAttributes(InputElementAttributes)`, `DesignPackage.getPropertyAttributes_ElementAttributes()`

### setElementAttributes

    void setElementAttributes(InputElementAttributes value)

  Sets the value of the '`Element Attributes`' containment reference.

  Parameters:
    `value` - the new value of the 'Element Attributes' containment reference.
  See Also:
    `getElementAttributes()`

### isDerivedMetaData

    boolean isDerivedMetaData()

  Returns the value of the 'Derived Meta Data' attribute. The default value is `"true"`. If the property metadata can be derived, i.e. can be obtained by an ODA driver in each design session, an ODA host designer is not required to include the derived metadata in the next design session request. An ODA designer may ignore such metadata in a Request.

  Returns:
    the value of the 'Derived Meta Data' attribute.
  See Also:
    `isSetDerivedMetaData()`, `unsetDerivedMetaData()`, `setDerivedMetaData(boolean)`, `DesignPackage.getPropertyAttributes_DerivedMetaData()`

### setDerivedMetaData

    void setDerivedMetaData(boolean value)

  Sets the value of the '`Derived Meta Data`' attribute.

  Parameters:
    `value` - the new value of the 'Derived Meta Data' attribute.
  See Also:
    `isSetDerivedMetaData()`, `unsetDerivedMetaData()`, `isDerivedMetaData()`

### unsetDerivedMetaData

    void unsetDerivedMetaData()

  Unsets the value of the '`Derived Meta Data`' attribute.

  See Also:
    `isSetDerivedMetaData()`, `isDerivedMetaData()`, `setDerivedMetaData(boolean)`

### isSetDerivedMetaData

    boolean isSetDerivedMetaData()

  Returns whether the value of the '`Derived Meta Data`' attribute is set.

  Returns:
    whether the value of the 'Derived Meta Data' attribute is set.
  See Also:
    `unsetDerivedMetaData()`, `isDerivedMetaData()`, `setDerivedMetaData(boolean)`